/*******************************************************************
 *
 * NTSTAT.H - Includes for NetSaint Statistics Service
 * Written By Ethan Galstad (netsaint@linuxbox.com)
 * Last Modified: 02-15-2000
 *
 ******************************************************************/


#define DEFAULT_SERVER_PORT		5009	// default port to listen on for incoming connections
#define MAX_SERVER_CONNECTIONS	5		// maximum number of concurrent connections

#define MAX_IPADDRESS_LENGTH	16
#define MAX_AUTHORIZED_HOSTS	8

#define CONNECTION_TIMEOUT		10		// 10 seconds before a client connection times out

#define MAX_INPUT_BUFFER		512

#define PROGRAM_VERSION			"0.1"

int read_configuration(void);
int startWinsock(void);		// initialize Winsock
int stopWinsock(void);		// clean up after Winsock

int startServer(void);		// create a socket, and start listening
int stopServer(void);		// close socket, stop accepting connections

int handle_connection_request(void);
int authorize_connection(SOCKADDR_IN,int);
int handle_connection(SOCKET);
int send_data(SOCKET,char FAR *,int,int FAR *);
int receive_data(SOCKET,char FAR *,int,int FAR *);
int process_requests(char FAR *,int,char FAR *,int);
int process_request(char FAR *,char FAR *,int);
int strip(char FAR *);

int get_total_physical_memory(int FAR *);
int get_available_physical_memory(int FAR *);
int get_total_paged_memory(int FAR *);
int get_available_paged_memory(int FAR *);

int get_total_disk_space(char FAR *,ULARGE_INTEGER FAR *);
int get_available_disk_space(char FAR *,ULARGE_INTEGER FAR *);

